This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1254763 - [abrt] yum: auto-update-debuginfo.py:96:_write_cached:OSError: [Errno 2] No such file or directory
[abrt] yum: auto-update-debuginfo.py:96:_write_cached:OSError: [Errno 2] No s...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:56963dfbf16ca1258d71c225b69...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-18 15:24 EDT by Kamil Szmit
Modified: 2015-12-02 13:16 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 10:01:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (2.39 KB, text/plain)
2015-08-18 15:24 EDT, Kamil Szmit
no flags Details
File: environ (991 bytes, text/plain)
2015-08-18 15:24 EDT, Kamil Szmit
no flags Details

  None (edit)
Description Kamil Szmit 2015-08-18 15:24:04 EDT
Description of problem:
Error occurs during running commnad "yes | sudo yum upgrade -y --skip-broken".

Version-Release number of selected component:
yum-3.4.3-153.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python /bin/yum check-update
dso_list:       yum-plugin-auto-update-debug-info-1.1.31-27.fc21.noarch
executable:     /bin/yum
kernel:         4.1.4-100.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
auto-update-debuginfo.py:96:_write_cached:OSError: [Errno 2] No such file or directory

Traceback (most recent call last):
  File "/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 371, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 174, in main
    result, resultmsgs = base.doCommands()
  File "/usr/share/yum-cli/cli.py", line 584, in doCommands
    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
  File "/usr/share/yum-cli/yumcommands.py", line 1624, in doCommand
    ypl = base.returnPkgLists(extcmds, repoid=repoid)
  File "/usr/share/yum-cli/cli.py", line 1412, in returnPkgLists
    ignore_case=True, repoid=repoid)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2953, in doPackageLists
    for (n,a,e,v,r) in self.up.getUpdatesList():
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1101, in <lambda>
    up = property(fget=lambda self: self._getUpdates(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 846, in _getUpdates
    self._up = rpmUtils.updates.Updates(self.rpmdb.simplePkgList(), self.pkgSack.simplePkgList())
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1082, in <lambda>
    pkgSack = property(fget=lambda self: self._getSacks(),
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 786, in _getSacks
    self.repos.populateSack(which=repos)
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 344, in populateSack
    self.doSetup()
  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 122, in doSetup
    self.ayum.plugins.run('prereposetup')
  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 188, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/auto-update-debuginfo.py", line 115, in prereposetup_hook
    _write_cached(cfname, rpmdbv, num)
  File "/usr/lib/yum-plugins/auto-update-debuginfo.py", line 96, in _write_cached
    os.rename(cfname + ".tmp", cfname)
OSError: [Errno 2] No such file or directory

Local variables in innermost frame:
cdname: '/var/lib/yum/plugins/auto-update-debuginfo'
num: 0
cfname: '/var/lib/yum/plugins/auto-update-debuginfo/num'
rpmdbv: '2709:28e8e233fad94d61b789680580cbdff4314705a1'
fo: <closed file '/var/lib/yum/plugins/auto-update-debuginfo/num.tmp', mode 'w' at 0x7f0daca64660>

Potential duplicate: bug 1002449
Comment 1 Kamil Szmit 2015-08-18 15:24:07 EDT
Created attachment 1064429 [details]
File: backtrace
Comment 2 Kamil Szmit 2015-08-18 15:24:08 EDT
Created attachment 1064430 [details]
File: environ
Comment 3 Fedora End Of Life 2015-11-04 05:46:18 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-12-02 10:01:18 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.